> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unosend.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Suppression

> Manually add an email address to your suppression list.

## Request Body

<ParamField body="email" type="string" required>
  Email address to suppress
</ParamField>

<ParamField body="reason" type="string" default="manual">
  Reason for suppression:

  * `hard_bounce` - Invalid email address
  * `spam_complaint` - Spam report
  * `manual` - Manual suppression (default)
  * `unsubscribe` - Unsubscribed
</ParamField>

## Response

<ResponseField name="id" type="string">
  Unique suppression identifier
</ResponseField>

<ResponseField name="email" type="string">
  Suppressed email address (lowercase)
</ResponseField>

<ResponseField name="reason" type="string">
  Reason for suppression
</ResponseField>

<ResponseField name="created_at" type="string">
  ISO 8601 timestamp
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST https://api.unosend.co/suppressions \
    -H "Authorization: Bearer un_your_api_key" \
    -H "Content-Type: application/json" \
    -d '{
      "email": "donotcontact@example.com",
      "reason": "manual"
    }'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://api.unosend.co/suppressions', {
    method: 'POST',
    headers: {
      'Authorization': 'Bearer un_your_api_key',
      'Content-Type': 'application/json'
    },
    body: JSON.stringify({
      email: 'donotcontact@example.com',
      reason: 'manual'
    })
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      'https://api.unosend.co/suppressions',
      headers={
          'Authorization': 'Bearer un_your_api_key',
          'Content-Type': 'application/json'
      },
      json={
          'email': 'donotcontact@example.com',
          'reason': 'manual'
      }
  )
  data = response.json()
  ```
</RequestExample>

<ResponseExample>
  ```json 201 Created theme={null}
  {
    "success": true,
    "data": {
      "id": "550e8400-e29b-41d4-a716-446655440000",
      "email": "donotcontact@example.com",
      "reason": "manual",
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  }
  ```
</ResponseExample>

<Note>
  If the email is already suppressed, the existing suppression will be updated with the new reason.
</Note>
